/// <reference types="angular" />
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
import { DirectiveBase } from "./base.directive";
import { IScope, IAttributes, ITranscludeFunction, IController } from "angular";
import { Transition } from "@uirouter/angularjs";
export declare class ScrollToTopDirective extends DirectiveBase {
    private transitions;
    constructor(transitions: Transition);
    protected create(scope: IScope, instanceElement: JQuery, instanceAttributes: IAttributes, controller: IController, transclude: ITranscludeFunction): void;
    static factory(transitions: Transition): ScrollToTopDirective;
}
export interface IScrollToTopParameters {
    onStateChange: boolean;
    onClick: boolean;
}
