/// <reference types="angular" />
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
import { IScope } from "angular";
import { ControllerBase } from "../base.controller";
import { ModalInstance } from "../../services/modal.service";
import { InjectorService } from "../../services/injector.service";
export declare abstract class DialogControllerBase extends ControllerBase {
    protected modalInstance: ModalInstance;
    protected constructor(scope: IScope, modalInstance: ModalInstance, injector: InjectorService);
    cancel(): void;
    protected close(result?: any): void;
}
