/// <reference types="angular" />
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
import { DirectiveBase } from "./base.directive";
import { ITimeoutService, IScope, IAttributes, IController, ITranscludeFunction } from "angular";
export declare class AlertDirective extends DirectiveBase {
    private timeout;
    constructor(timeout: ITimeoutService);
    protected create(scope: IAlertScope, instanceElement: JQuery, instanceAttributes: IAttributes, controller: IController, transclude: ITranscludeFunction): void;
    static factory(timeout: ITimeoutService): AlertDirective;
}
export interface IAlertScope extends IScope {
    alertType: string;
    timeout: string;
    close: Function;
}
