"use strict";
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
var ModelBase = /** @class */ (function () {
    function ModelBase() {
    }
    ModelBase.prototype.startTracking = function () {
        this.original = paradigm_ui_web_shared_1.ObjectExtensions.clone(this, ["original"]);
    };
    ModelBase.prototype.stopTracking = function () {
        this.original = null;
    };
    ModelBase.prototype.isDirty = function () {
        return !paradigm_ui_web_shared_1.ObjectExtensions.isEqualTo(this, this.original, ["original"]);
    };
    ModelBase.prototype.isTracking = function () {
        return this.original != null;
    };
    return ModelBase;
}());
exports.ModelBase = ModelBase;
